Zernio
Zernio
API Reference

Rcs

List RCS agentsGETList RCS brandsGETList RCS test phonesGETRequest an RCS agentPOSTGet an RCS agentGETCheck RCS capabilityGETUpdate an RCS agentPATCHInvite an RCS test phonePOSTDeactivate an RCS agentDELETERemove an RCS test phoneDELETESend the launch filingPOSTSend an RCS messagePOSTUpload an RCS logo or bannerPOST
Dashboard
llms.txtOpenAPI
OverviewPlatformsAPI ReferenceResources
Rcs

List RCS brands

The team's RCS brands (vetted companies), to reuse one for another agent with brandId.


GET
/v1/rcs/brands

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Response Body

application/json

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.rcs.listRcsBrands();console.log(data);
{  "brands": [    {      "displayName": "string",      "legalName": "string",      "legalEntityType": "LIMITED_LIABILITY_COMPANY",      "organizationType": "PRIVATE_PROFIT",      "websiteUrl": "http://example.com",      "taxId": "string",      "stockSymbol": "string",      "address": {        "line1": "string",        "line2": "string",        "city": "string",        "state": "string",        "postalCode": "string",        "country": "US"      },      "contact": {        "firstName": "string",        "lastName": "string",        "title": "string",        "email": "user@example.com",        "phone": "string"      },      "id": "string",      "status": "draft",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
Was this page helpful?

List RCS agents

Previous Page

List RCS test phones

Next Page